<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:xalan="http://xml.apache.org/xslt"
    xmlns:tns_1="http://CustomerBackend/CustomerService"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:tns_10="http://PortfolioLibrary/CustomerServiceExtended"
    exclude-result-prefixes="xalan tns_1 xsi">
<xsl:output method="xml" encoding="UTF-8" indent="yes" xalan:indent-amount="2"/>
<xsl:strip-space elements="*"/>


  <!--======================================================================-->
  <!-- This file contains an XSLT transformation stylesheet which           -->
  <!-- constructs a result tree from a number of XML sources by filtering   -->
  <!-- reordering and adding arbitrary structure. This file is              -->
  <!-- automatically generated by the XML Mapper tool from IBM WebSphere    -->
  <!-- Studio Workbench.                                                    -->
  <!--======================================================================-->


  <!--======================================================================-->
  <!--                          The Root Element                            -->
  <!-- The "Root Element" section specifies which template will be          -->
  <!-- invoked first thus determining the root element of the result tree.  -->
  <!--======================================================================-->

  <xsl:template match="/">
    <xsl:call-template name="body"/>
  </xsl:template>


  <!--======================================================================-->
  <!--                         Remaining Templates                          -->
  <!-- The remaining section defines the template rules. The last template  -->
  <!-- rule is a generic identity transformation used for moving complete   -->
  <!-- tree fragments from an input source to the result tree.              -->
  <!--======================================================================-->

  <!-- Newly-defined element template -->
  <xsl:template name="body">
    <body>
      <xsl:call-template name="getCustomerExtendedInfo"/>
    </body>
  </xsl:template>

  <!-- Newly-defined element template -->
  <xsl:template name="getCustomerExtendedInfo">
    <getCustomerExtendedInfo>
      <customerID>
        <xsl:value-of select="/body/getCustomerInformation/customerID/text()"/>
      </customerID>
      <portfolioRequested>
        <xsl:value-of select="string(default)"/>
      </portfolioRequested>
    </getCustomerExtendedInfo>
  </xsl:template>

  <!-- Identity transformation template -->
  <xsl:template match="*|@*|comment()|processing-instruction()|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
